POST
/user/secrets/delete-external-store
const url = 'https://example.com/user/secrets/delete-external-store';const options = { method: 'POST', headers: {'X-Tenzir-UserKey': '<X-Tenzir-UserKey>', 'Content-Type': 'application/json'}, body: '{"tenant_id":"example","store_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/user/secrets/delete-external-store \ --header 'Content-Type: application/json' \ --header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \ --data '{ "tenant_id": "example", "store_id": "example" }'Remove an external secrets store
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
DeleteExternalStoreRequest
object
tenant_id
required
Tenant Id
string
store_id
required
Store Id
string
Example generated
{ "tenant_id": "example", "store_id": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
DeleteExternalStoreResponse
object
Example generated
{}{"detail": "Readonly secret store"}
{"detail": "Invalid API Key"}
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}